package com.ruoyi.system.domain.checkPoint;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;
import java.util.List;

/**
 * 巡更点管理对象 check_point_manage
 * 
 * @author boman
 * @date 2025-02-14
 */
public class CheckPointManage extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 巡更点主键 */
    private Long checkPointManageId;

    /** 星期几 */
    @Excel(name = "星期几")
    private String dateTimeNum;

    /** 巡更类型(字典值) */
    @Excel(name = "巡更类型(字典值)")
    private String checkType;

    /** 巡更时间 */
    @JsonFormat(pattern = "HH:mm:ss")
    @Excel(name = "巡更时间", width = 30, dateFormat = "HH:mm:ss")
    private Date checkTime;

    /** 巡更路线 */
    @Excel(name = "巡更路线")
    private String checkAddress;

    /** 巡更人负责人姓名 */
    @Excel(name = "巡更人负责人姓名")
    private String userName;

    /** 巡更人负责人id */
    @Excel(name = "巡更人负责人id")
    private Long useId;
    private List<CheckPointManage> checkPointManageList;

    public List<CheckPointManage> getCheckPointManageList() {
        return checkPointManageList;
    }

    public void setCheckPointManageList(List<CheckPointManage> checkPointManageList) {
        this.checkPointManageList = checkPointManageList;
    }

    public void setCheckPointManageId(Long checkPointManageId)
    {
        this.checkPointManageId = checkPointManageId;
    }

    public Long getCheckPointManageId() 
    {
        return checkPointManageId;
    }
    public void setDateTimeNum(String dateTimeNum) 
    {
        this.dateTimeNum = dateTimeNum;
    }

    public String getDateTimeNum() 
    {
        return dateTimeNum;
    }
    public void setCheckType(String checkType) 
    {
        this.checkType = checkType;
    }

    public String getCheckType() 
    {
        return checkType;
    }
    public void setCheckTime(Date checkTime) 
    {
        this.checkTime = checkTime;
    }

    public Date getCheckTime() 
    {
        return checkTime;
    }
    public void setCheckAddress(String checkAddress) 
    {
        this.checkAddress = checkAddress;
    }

    public String getCheckAddress() 
    {
        return checkAddress;
    }
    public void setUserName(String userName) 
    {
        this.userName = userName;
    }

    public String getUserName() 
    {
        return userName;
    }
    public void setUseId(Long useId) 
    {
        this.useId = useId;
    }

    public Long getUseId() 
    {
        return useId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("checkPointManageId", getCheckPointManageId())
            .append("dateTimeNum", getDateTimeNum())
            .append("checkType", getCheckType())
            .append("checkTime", getCheckTime())
            .append("checkAddress", getCheckAddress())
            .append("userName", getUserName())
            .append("useId", getUseId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
